MYTHBACKEND(1)

NAME
mythbackend - MythTV Backend

DESCRIPTION
mythbackend version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org

MythBackend is the primary server application for MythTV. It is used for recording and remote streaming access of media. Only one instance of this application is allowed to run on one host at a time, and one must be configured to operate as a master, performing additional scheduler and housekeeper tasks.

Misc. Options:

-d, --daemon
    Fork application into background after startup.

--dvbv3
    Use legacy DVBv3 API.

--noupnp
    Disable use of UPnP.

-O, --override-setting
    Override a single setting defined by a key=value pair.

--override-settings-file
    Define a file of key=value pairs to be loaded for setting overrides.

-p, --pidfile
    Write PID of application to filename.

--printexpire
    Print upcoming list of recordings to be expired.

--printsched
    Print upcoming list of scheduled recordings.

--setloglevel
    Change logging level of the existing master backend.

--setverbose
    Change debug mask of the existing master backend.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--testsched
    do some scheduler testing.

--user
    Drop permissions to username after starting.

--webonly
    Start in web-server-only mode.

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.